\section{Problem}
\label{sec:problem}

In this given scenario, confidentiality is crucial when sending the \ac{SMS}
text message with the transaction details. The data should be ciphered in such a
manner that only authorized entities (i.e. the sending client and the
application server) are able to view the messages' contents. This also requires
that entities can authenticate themselves, which requires a third entity (i.e. a
\ac{CA}) to certify the identity of the system's entities.

Seemingly not directly related to a security issue is the size limitations of an
\ac{SMS} text message (i.e. 120 characters / bytes). However, ciphering and
signature algorithms should be chosen with this limitation in mind, as well as
taking into account the computational capabilities of the client device.